/* ============================================
   Site Footer
   ============================================ */

.site-footer {
  background: var(--color-bg);
  color: var(--color-text);
  padding-top: var(--space-lg);

  & .inner {
    width:100%;
    margin: 0 auto;
    display: grid;
    grid-template-columns: 1fr 300px;
    gap: var(--space-lg);
    align-items: end;

    @media (max-width: 800px) {
      grid-template-columns: 1fr;
    }
  }

  & .col-left {
    display: flex;
    flex-direction: column;
    gap: var(--space-md);
    min-width: 0;
  }

  & .col-right {
    display: flex;
    justify-content: flex-end;

    padding-right:var(--space-lg);
    padding-bottom:var(--space-sm);

    @media (max-width: 800px) {
      justify-content: flex-start;
    }
  }

  & .nav {
    display: flex;
    gap: var(--space-xs);
    max-width:500px;
    flex-wrap:wrap;
  }


  & .logo {
    display: block;
    text-decoration: none;
    line-height: 1;
    width: 200px;

    & svg {
      display: block;
      width: 100%;
      height: auto;
    }
  }

  & .social {
    display: flex;
    align-items: center;
    gap: var(--space-sm);
  }

  & .social-link {
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--color-text-light);
    text-decoration: none;
    transition: color var(--transition-speed);

    &:hover {
      color: var(--color-text);
    }

    & svg {
      display: block;
      width: 20px;
      height: 20px;
      fill: currentColor;
    }
  }

  & .bottom {
    position: relative;
    margin: 0 auto;
    margin-top: 0;
    width:100%;
    text-align: center;
    overflow: visible;
    
    border-top:24px solid var(--color-red);

    &::after {
      content: '';
      position: absolute;
      top: -24px;
      right: -4px;
      width: 28px;
      height: 70px;
      background: var(--color-red);
      transform: skewX(-20deg);
    }
    & .container {
      display:flex;
      justify-content: space-between;
      align-items:center;
      padding:12px var(--space-lg) 12px var(--space-md);

    }
    & .container > div {

    }
    & p {
      font-size: 0.8125rem;
      color: var(--color-text-light);
      margin: 0;
    }
  }
}


@media screen and (max-width:800px){
  .site-footer {
    & .nav {
      flex-wrap:wrap;
    }
  }
  .site-footer {
    & .bottom {
      width:60vw;
      margin-left:0;

        & .container {
          
        }
    }
  }
}